routes/web.php
Route::post('/news-letter-register', 'RegisterController@news_letter_register');
Route::post('check-email-register', 'RegisterController@check_email_register');
Route::post('userlogin', 'RegisterController@auth');
Route::post('loginVerfi', 'RegisterController@loginVerfi');
Route::post('send-forget-email', 'RegisterController@send_forget_email');
Route::get('forget-password', 'RegisterController@forget_password');
Route::post('password-reset', 'RegisterController@reset_password');
Route::post('password-reset-change', 'RegisterController@password_reset_change');
Route::get('logout', 'LoginController@logout');
Route::get('admin', 'Admin\AdLoginController@index');
Route::get('change-password', 'LoginController@change_password');

Route::post('changepassword', 'ProfileController@changepassword');
Route::post('update-profile', 'ProfileController@update_profile');

Route::get('edit-profile', 'ProfileController@index');

Route::get('explore-gallery', 'HomeController@more_gallery');
Route::get('featured-images', 'HomeController@images');

Route::get('/favourites/add-favorite', 'FavouritesController@add_favorite');
Route::get('/favourites/remove-favorite', 'FavouritesController@remove_favorite');
Route::get('/favourites/removefavorite', 'FavouritesController@removefavorite');
Route::get('/favourites-listing', 'FavouritesController@index');

/************************** route for guide iceland view more/articles page**************************/

Route::get('article', 'ArticlesController@index');

/************************** route for guide iceland view more/articles page ends  **************************/

/************************** route for articles single page  **************************/

Route::get('article/detail/{id}', 'ArticlesController@detail');

/************************** route for articles single page ends  **************************/
//************************** Activities Start***********************************/

Route::get('activities/search', 'ActivityController@searchAct');
Route::get('more-activities', 'ActivityController@allActivities');
Route::get('activity/detail/{id}', 'ActivityController@detail');
Route::get('activities/detail/{id}', 'ActivityController@detail');
Route::get('get-activities-by/{slug}', 'ActivityController@get_activities_bySubCat');
Route::get('get-activities/{slug}', 'ActivityController@getActivitiesBySubCat');
// Route::get('activities', 'ActivityController@allActivities');


//**************************** Activities end **********************/

/**********************`**** route for search page  **************************/

Route::get('search', 'SearchController@searchPage');

Route::get('places/SearchPlcAutoName', 'SearchController@SearchPlcAutoName');
Route::get('search/searchAutoRestName', 'SearchController@searchRstAutoName');
Route::get('search/SearchActAutoName', 'SearchController@searchActAutoName');
/************************** route for search page ends  **************************/
//************************* route for places module start *****************************/
Route::get('places/search', 'PlaceController@search');

Route::get('place/detail/{id}', 'PlaceController@detail');
Route::get('get-places-by/{slug}', 'PlaceController@get_places_bySubCat');
Route::get('places/{slug}', 'PlaceController@get_places_bySubCat');
Route::get('place/subcategory', 'PlaceController@get_subcategories');

/////////////////////// route for restaurants  start//////////////////////

Route::get('restaurants/search', 'RestaurantController@search');
Route::get('restaurants/detail/{id}', 'RestaurantController@detail');
 ////will remove below line.///////
Route::get('get-restaurants-by/{slug}', 'RestaurantController@get_restaurants_bySubCat');

Route::get('restaurants/{slug}', 'RestaurantController@get_restaurants_bySubCat');

Route::get('restaurant/subcategory', 'RestaurantController@get_subcategories');
////////////////////// route for restaurants end /////////////////
// ///////////////////// Review ///////////////////////////
Route::post('review/store', 'ReviewController@store');
///////////////////// route for item detail start ////////////////

Route::view('terms-conditions', 'terms_conditions');
Route::view('privacy-policy', 'privacy_policy');


/************************** route for search page to get search data  **************************/

Route::get('getSearch', 'Admin\ActivityController@getSearch');

/************************** route for search page to get search data ends  **************************/


Route::prefix('admin')->group(function () {
    Route::get('signup', 'Admin\AdLoginController@signup');
    Route::post('register', 'Admin\AdLoginController@register');
    Route::get('test', 'Admin\AdLoginController@test');
    Route::post('auth', 'Admin\AdLoginController@auth');
  Route::get('logout', 'Admin\AdLoginController@logout');
  /*  Route::get('signup', 'Admin\AdLoginController@signup');
    Route::post('login', 'Admin\AdLoginController@index');
    Route::post('logout', 'Admin\AdLoginController@logout');*/
    // Route::get('dashboard', 'Admin\DashboardController@index')->name('dashboard');
    Route::get('/dashboard', 'Admin\DashboardController@index')->name('dashboard');
    Route::get( 'ausers/api', 'Admin\UserController@apiUsers')->name('api.users');
     Route::get( 'users-lisitng', 'Admin\UserController@users_lisitng')->name('users-lisitng');
    Route::resource( 'users', 'Admin\UserController');
    Route::get( 'administrator-listing', 'Admin\AdminController@administrator_listing')->name('administratorListing');
    Route::resource( 'administrator', 'Admin\AdminController');

    //////////////////////Customers Listing//////////////////////
    Route::resource( 'customers', 'Admin\CustomerController');


    Route::get( 'placesListing', 'Admin\PlacesController@placesListing' )->name('placesListing');
    Route::get( 'places/remove_image', 'Admin\PlacesController@remove_image' );
    Route::get( 'places-listing', 'Admin\PlacesController@places_listing' )->name('places_listing');




Route::get( 'places/import-excel', 'Admin\PlacesController@import_excel' ); 
Route::post('places/import-places', 'Admin\PlacesController@store_excel');
Route::get('places/import-rcg-plc' , 'Admin\PlacesController@import_rcg_plc');
Route::get('places/import-idiscover-plc' , 'Admin\PlacesController@import_idiscover_plc');
Route::resource( '/places', 'Admin\PlacesController' );
//////////////////////////// sctivities //////////////////////////////////////////////////////////////

    Route::get( 'activities/remove_image', 'Admin\ActivityController@remove_image' );
    Route::get( 'activities/geocodes', 'Admin\ActivityController@geo_codes' );

    Route::get( 'activity/availability', 'Admin\ActivityController@activity_availability' );

    Route::get( 'activities/api', 'Admin\ActivityController@api' );
    Route::get( 'activities/api_old', 'Admin\ActivityController@api_old' );

Route::get( 'activities-listing', 'Admin\ActivityController@activities_listing' )->name('activities_listing'); 
    Route::resource( '/activities', 'Admin\ActivityController' );
    ////////////////////////////// articals /////////////////////////////////////////
   Route::get( 'articles/remove-image/{id}', 'Admin\ArticlesController@remove_image' ); 
    Route::get( 'articles-listing ', 'Admin\ArticlesController@articles_listing' )->name('articles_listing');
    Route::resource( '/articles', 'Admin\ArticlesController' );

    ////////////// restaurants ///////////////////////////////////////////////////////////
 Route::get('restaurants/import-rcg-places', 'Admin\RestaurantController@import_rcg_rst');
     Route::get('restaurants/import-idiscover-rst', 'Admin\RestaurantController@import_idiscover_rst');
Route::get( '/restaurants/address_delete/{id}', 'Admin\RestaurantController@address_delete');
Route::get( '/restaurants/address/{id}', 'Admin\RestaurantController@address'); 
Route::post( '/restaurants/address_store/{id}', 'Admin\RestaurantController@address_store'); 
Route::get( '/restaurants/remove_image/{id}', 'Admin\RestaurantController@remove_image' ); 
Route::post( '/restaurants/edit_address', 'Admin\RestaurantController@edit_address');
Route::get( '/restaurant-listing', 'Admin\RestaurantController@restaurant_listing'); 
Route::get( '/restaurants/address/{id}', 'Admin\RestaurantController@address' ); 
Route::resource( '/restaurants', 'Admin\RestaurantController' );


    Route::get( 'categoriesListing', 'Admin\CategoriesController@categoryListing' )->name('categoryListing');
    Route::resource( '/categories', 'Admin\CategoriesController' );

    Route::get( 'subcategories/subcategoriesListing', 'Admin\SubCategoriesController@subcategoriesListing' )->name('subcategoriesListing');
    Route::resource( '/subcategories', 'Admin\SubCategoriesController' );
    ////////////// keyword ///////////////
    Route::get( 'keyword-listing', 'Admin\KeywordsController@keyword_listing' )->name('keyword-listing');
    Route::resource( 'keywords', 'Admin\KeywordsController' );
      ////////////// Supplier ///////////////
    Route::get( 'supplier-listing', 'Admin\SupplierController@supplier_listing' )->name('supplier-listing');
    Route::resource( 'suppliers', 'Admin\SupplierController' );
    ////////////// Delas ///////////////
    Route::get( '/deals/get_places/{id}', 'Admin\DealsController@get_places' );

    Route::get( 'dealsListing', 'Admin\DealsController@dealsListing' )->name('dealsListing');
    Route::resource( 'deals', 'Admin\DealsController' );
    ////////////// setting ///////////////
    Route::post( 'update_setting', 'Admin\SettingController@update_setting' );
    Route::resource( 'setting', 'Admin\SettingController' );
    ////////////// profile ///////////////
    Route::post( 'profile/update_image', 'Admin\ProfileController@update_image' );
    Route::post( 'profile/change_password', 'Admin\ProfileController@change_password' );
    Route::post( 'profile/update', 'Admin\ProfileController@update_profile' );

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'categories';
    protected $fillable = [
        'external_id', 'cat_name','slug','code','order_no','cat_image','count','parent_id','status','created_by','country'
    ];

    
}

resources/views/admin/categories/_form.blade.php
@extends('layouts.master')
@section('title', $isNew ? 'Create Category' : 'Edit Category')
@section('header_space')
<style type="text/css">
    #cayegory-form{
        width: 50%;
        margin: 0 auto;
    }
    .m-form .m-form__group {
        padding-top: 0px !important;
padding-bottom: 0px !important;
    }

.fileUpload #logo-id {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 33px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
}
.img-preview {
   
}
</style>

@endsection
@section('title_right_section')
    <a href="{{ 'admin::users.create'}}"
       class="btn btn-accent m-btn m-btn--custom m-btn--icon m-btn--air m-btn--pill btn btn-success pull-right">asdfsadf</a>
@endsection
@section('content')
    <div class="m-grid__item m-grid__item--fluid m-wrapper">
        <!-- BEGIN: Subheader -->
        <div class="m-subheader ">
            <div class="d-flex align-items-center">
                <div class="mr-auto">
                    <h3 class="m-subheader__title m-subheader__title--separator">
                        @yield('title')
                    </h3>
                    <ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
                        <li class="m-nav__item m-nav__item--home">
                            <a href="{{URL::previous()}}" class="m-nav__link m-nav__link--icon">
                                <i class="m-nav__link-icon la la-users"></i>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{route('categories.index')}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    All Categoroes
                                </span>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{URL::current()}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    @yield('title')
                                </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- END: Subheader -->
        <div class="m-content">
            <!--begin::Portlet-->
            <div class="m-portlet">
                <!--begin::Form-->
                @if(isset($item->id) && !empty($item->id))
                    {!! Form::model($item, ['url'=> ['admin\categories',$item->id],'method'=>'PUT','class' => 'm-form m-form--state m-form--fit m-form--label-align-right','id'=>'cayegory-form','files' => true]) !!}
                @else
                    {!! Form::model($item, ['action' => 'Admin\CategoriesController@store','class' => 'm-form m-form--state m-form--fit m-form--label-align-right','id'=>'cayegory-form','files' => true]) !!}
                @endif
                {!! Form::hidden('id') !!}

                <div class="m-portlet__body">
                    {{--error alert bar--}}
                    <div class="m-form__content">
                        @include('errors.flash')
                        <div class="m-alert m-alert--icon alert alert-danger m--hide" role="alert"
                             id="m_form_msg">
                            <div class="m-alert__icon">
                                <i class="la la-warning"></i>
                            </div>
                            <div class="m-alert__text">
                                Oh snap! Change a few things up and try submitting again.
                            </div>
                            <div class="m-alert__close">
                                <button type="button" class="close" data-close="alert" aria-label="Close"></button>
                            </div>
                        </div>
                    </div>
                    
                    {{--place name--}}
                    <div class="form-group m-form__group row">
                        
                        <div class="col-sm-12">
                            <label class="">
                            Category Name<span style="color: red"> *</span>
                        </label>
                            <div class="input-group m-input-group m-input-group--square">
                                {{ Form::text('cat_name', NULL, array('class' => 'form-control m-input' ,'placeholder' => 'Category Name')) }}
                            </div>
                            <span class="m-form__help">
                                
                                </span>
                        </div>
                    </div>
                    {{--email--}}
                    <div class="form-group m-form__group row">
                       
                        <div class="col-sm-12">
                             <label class="">
                            Slug 
                        </label>
                            <div class="input-group m-input-group m-input-group--square">
                               
                                {{ Form::text('slug', NULL, array('class' => 'form-control m-input','placeholder' => 'Enter Slug')) }}

                            </div>
                            {{--{{ Form::text('slug', NULL, array('class' => 'form-control m-input','placeholder' => 'Enter Slug')) }}--}}
                            <span class="m-form__help">
                                   
                                </span>
                        </div>
                    </div>

                     <div class="form-group m-form__group row">
                        
                        <div class="col-sm-12">
                            <label class="">
                            Code <span style="color: red"> *</span> (Capital Latter)
                        </label>
                            <div class="input-group m-input-group m-input-group--square">
                               
                                {{ Form::text('code', NULL, array('class' => 'form-control m-input','placeholder' => 'Enter Code')) }}

                            </div>
                            {{--{{ Form::text('code', NULL, array('class' => 'form-control m-input','placeholder' => 'Enter code')) }}--}}
                            <span class="m-form__help">
                                    
                                </span>
                        </div>
                    </div>

                    <div class="form-group m-form__group row">
                        
                        <div class="col-sm-12">
                            <label class="">
                            Popularity 
                        </label>
                            <div class="input-group m-input-group m-input-group--square">
                               
                                {{ Form::text('order_no', NULL, array('class' => 'form-control m-input','placeholder' => 'Enter Popularity')) }}

                            </div>
                            {{--{{ Form::text('slug', NULL, array('class' => 'form-control m-input','placeholder' => 'Enter Slug')) }}--}}
                            <span class="m-form__help">
                                 
                                </span>
                        </div>
                    </div>
                     <div class="form-group m-form__group row">
                          <div class="form-group" style="width: 55%;padding-left: 15px;">
              <div class="main-img-preview"  style="">
                @if(isset($item->cat_image) && !empty($item->cat_image))
                 <img class="thumbnail img-preview" src="{{url('public/uploads/'.$item->cat_image)}}" title="Preview Logo" style="width: 100%">
                @else
                 <img class="thumbnail img-preview" src="http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image" title="Preview Logo" style="width: 100%">
                @endif
               
              </div>
              <div class="input-group" style="">
                <input id="fakeUploadLogo" class="form-control fake-shadow" placeholder="Choose File" disabled="disabled">
                <div class="input-group-btn">
                  <div class="fileUpload btn btn-danger fake-shadow">
                    <span><i class="glyphicon glyphicon-upload"></i> Upload Image</span>
                    <input id="logo-id" name="file" type="file" class="attachment_upload">
                  </div>
                </div>
              </div>
             
            </div>
                    
                    </div>
                    
                
                </div>

                <div class="m-portlet__foot m-portlet__foot--fit">
                    <div class="m-form__actions m-form__actions">
                        <div class="row">
                            <div class="col-lg-9 ">
                                  @if(isset($item->id) && !empty($item->id))
                                <button type="submit" class="btn btn-accent">
                                    Update
                                </button>
                                @else
 <button type="submit" class="btn btn-accent">
                                    Create
                                </button>
                                @endif
                                <a href="{{route('categories.index')}}" class="btn btn-secondary">
                                    Cancel
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            {!! Form::close() !!}
            <!--end::Form-->
            </div>
            <!--end::Portlet-->
        </div>
    </div>

@stop

@section('footer_space')

        <script src="{{ asset('assets/pages/category/create.js') }}"></script>
        <script type="text/javascript">
            $(document).ready(function() {
    var brand = document.getElementById('logo-id');
    brand.className = 'attachment_upload';
    brand.onchange = function() {
        document.getElementById('fakeUploadLogo').value = this.value.substring(12);
    };

    // Source: http://stackoverflow.com/a/4459419/6396981
    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            
            reader.onload = function(e) {
                $('.img-preview').attr('src', e.target.result);
            };
            reader.readAsDataURL(input.files[0]);
        }
    }
    $("#logo-id").change(function() {
        readURL(this);
    });
});



        </script>
  
@stop

resources/views/admin/categories/datatables.blade.php
@extends('layouts._table')
@section('title','Categories')
@section('create_page_url', route('categories.create'))
@section('sub-content')
    <?php
    $tableHeadings = [
        'Name',
        'Code',
//        'Order No',
        'Status',
//        'Created',
      
    ];
    ?>
    <table id="listing" class="table table-striped table-hover tablesaw tablesaw-swipe tablesaw-sortable"
           data-tablesaw-mode="swipe" data-tablesaw-minimap="">
        <thead class="m-datatable__head">
        <tr style="height: 56px; background:#f4f3fb;">
            <th>SR#</th>
            <th scope="col" data-sorting="false" data-orderable="false"
                class="tablesaw-cell-persist tablesaw-sortable-head">
                <span>
                    <label class="m-checkbox m-checkbox--single m-checkbox--all m-checkbox--solid m-checkbox--brand">
                        <input id="bulk-opration" type="checkbox">
                        <span></span>
                    </label>
                </span>
            </th>
            @foreach($tableHeadings as $heading)
                <th scope="col" data-tablesaw-sortable-col="" data-tablesaw-priority="">
                    {{$heading}}
                </th>
            @endforeach
            <th style="width: 140px">Action</th>

        </tr>
        </thead>
        <tfoot class="filters">
        <tr>
            <td></td>
            <td></td>
           <th></th>
           <th></th>
           {{--<th></th>--}}
           <th></th>
           {{--<th></th>--}}
            <td></td>
        </tr>
        </tfoot>
       
    </table>
@endsection
@section('table_jquery')
    <script type="application/javascript">
        // Setup - add a text input to each footer cell
        jQuery(document).ready(function ($) {
            $.fn.dataTable.ext.errMode = 'none';
            $('#listing .filters th').each(function () {
                var title = $('#myTable1 .filters th').eq($(this).index()).text();
                $(this).html('<input type="text" style="width: 90%;" placeholder="Search" />');
            });
            var table = $('#listing').DataTable({

                responsive: true,
                processing: true,
                serverSide: true,
                 "pageLength": 20,

                ajax: '{{ route('categoryListing') }}',
                order: [],

                columns: [
                    {data: 'id', name: 'id'},
                    {data: 'id', name: 'id', orderable: false, searchable: false},
                    {data: 'cat_name', name: 'cat_name'},
                    {data: 'code', name: 'code'},
                    // {data: 'order_no', name: 'order_no'},
                    {data: 'status', name: 'status'},
                    // {data: 'created_at', name: 'created_at'},
                    {data: 'actions', name: 'actions', orderable: false, searchable: false}
                ]
            });
            table.columns().eq(0).each(function (colIdx) {
                $('input', table.column(colIdx).footer()).on('keyup change', function () {
                    table.column(colIdx)
                        .search(this.value)
                        .draw();
                });
            });
             table.on('order.dt search.dt', function () {
                table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                  cell.innerHTML = i+1;
           });
                }).draw();

        });
        $(document).ready(function (e) {
            $(document).on('click', '.status-update', function () {
                $('#preloader').show();
                var entity_id = $(this).data("id");
                var model_instace = $('input[name=model_instance]').val();
                var token = '{{csrf_token()}}';
                $.ajax({
                    type: "POST",
                    url: '{{route('status.all') }}',
                    data: {
                        "id": entity_id,
                        "_token": token,
                        "model_instance": model_instace
                    },
                    success: function (data) {
                        $('#listing').DataTable().ajax.reload();
                        $('#preloader').hide();
                    }
                });
            });
        });
    </script>
@endsection